Package ru.bitel.bgbilling.plugins.fias.common.service

# Interface FiasSyncService

public interface FiasSyncService
Веб сервис, для синхроизации городов биллига с ФИАС

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `changeBillingCityName(int cityId, String name)`
  `void`
  `changeBillingStreetName(List<FiasStreet> streets)`
  `Result<FiasCity>`
  `getCityList()`
  `Result<FiasStreet>`
  `getStreetList(FiasCity city)`
  `void`
  `syncCity(List<FiasCity> citys)`
  Синхронизует данные в биллинге с данными фиас
  `void`
  `syncHouse(List<FiasCity> citys, boolean loadNew)`
  `void`
  `syncStreet(List<FiasStreet> streets)`

- ## Method Details

  - ### getCityList

    Result<FiasCity> getCityList() throws ru.bitel.bgbilling.common.BGException
    Returns:
      список городов в билинге с данными ФИАС
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncCity

    void syncCity(List<FiasCity> citys) throws ru.bitel.bgbilling.common.BGException
    Синхронизует данные в биллинге с данными фиас
    Parameters:
      `aoguids` - список guid фиас для сихронизации
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### changeBillingCityName

    void changeBillingCityName(int cityId, String name) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getStreetList

    Result<FiasStreet> getStreetList(FiasCity city) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncStreet

    void syncStreet(List<FiasStreet> streets) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### changeBillingStreetName

    void changeBillingStreetName(List<FiasStreet> streets) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### syncHouse

    void syncHouse(List<FiasCity> citys, boolean loadNew) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`